> For the complete documentation index, see [llms.txt](https://docs.alignlabs.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alignlabs.dev/align-api/onramp-transfers/get-onramp-transfer.md).

# Get Onramp Transfer

## GET /v0/customers/{customer\_id}/onramp-transfer/{transfer\_id}

> Get Onramp Transfer

```json
{"openapi":"3.0.0","info":{"title":"Onramp API","version":"0"},"servers":[{"url":"https://api.alignlabs.dev","description":"Production server"},{"url":"https://api-sandbox.alignlabs.dev","description":"Sandbox server"}],"paths":{"/v0/customers/{customer_id}/onramp-transfer/{transfer_id}":{"get":{"summary":"Get Onramp Transfer","parameters":[{"name":"transfer_id","in":"path","description":"The unique identifier of the cross-chain transfer","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"customer_id","in":"path","description":"The unique identifier of the customer","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Api-Key","in":"header","description":"Your secret API key, available in the developer dashboard. Include this header on every request to authenticate your application.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Get onramp transfer response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOnrampResponseSuccessModel"}}}}}}}},"components":{"schemas":{"CreateOnrampResponseSuccessModel":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier for the onramp transfer"},"status":{"type":"string","description":"The current status of the onramp transfer","enum":["pending","processing","completed"]},"amount":{"type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]+)?$","description":"The amount of the onramp transfer as a numeric string"},"source_currency":{"type":"string","description":"The currency to be deposited","enum":["usd","eur"]},"source_rails":{"type":"string","description":"The deposit rails to be used for the transaction","enum":["ach","sepa","wire"]},"destination_network":{"type":"string","description":"The blockchain network for the destination","enum":["polygon","ethereum","solana","base"]},"destination_token":{"type":"string","description":"The token for the destination","enum":["usdc","usdt"]},"destination_address":{"type":"string","description":"The blockchain address where the funds will be sent"},"destination_tx_hash":{"type":"string","description":"The blockchain transaction hash of the destination withdrawal"},"quote":{"type":"object","properties":{"deposit_rails":{"type":"string","description":"The deposit rails to be used for the transaction","enum":["ach","sepa","wire"]},"deposit_currency":{"type":"string","description":"The currency used for the deposit","enum":["usd","eur"]},"deposit_bank_account":{"type":"object","properties":{"bank_name":{"type":"string"},"bank_address":{"type":"string"},"account_beneficiary_type":{"type":"string","enum":["individual","business"]},"account_beneficiary_name":{"type":"string"},"account_type":{"type":"string","enum":["us","iban","international_wire"]}},"oneOf":[{"title":"IBAN Account Details","properties":{"iban":{"type":"object","properties":{"bic":{"type":"string"},"iban_number":{"type":"string"}}}}},{"title":"US Account Details","properties":{"us":{"type":"object","properties":{"account_number":{"type":"string"},"routing_number":{"type":"string"}}}}},{"title":"International Wire Account Details","properties":{"international_wire":{"type":"object","properties":{"account_number":{"type":"string"},"routing_number":{"type":"string"},"bic":{"type":"string"}}}}}]},"deposit_amount":{"type":"string","description":"The amount to be deposited"},"deposit_message":{"type":"string","description":"The reference for the deposit that should be included with the bank transfer"},"fee_amount":{"type":"string","description":"The total fee amount for the onramp transfer, denominated in the deposit_currency"}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alignlabs.dev/align-api/onramp-transfers/get-onramp-transfer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
